For the complete documentation index, see llms.txt. This page is also available as Markdown.

DeleteVpc

1. API Description

This API (DeleteVpc) is used to delete a VPC.

Note

  • This API is an async API. A requestId is returned after the deletion request is sent. However, it does not mean the deletion has been completed. The status of the VPC will be DELETING during the deletion. You can use DescribeVpcs to query the status of the VPC. If this VPC does not exist in the VPC list, it means that the VPC has been deleted successfully. Any operations on the VPCs are not allowed while deleting.

  • Operations on VPCs with subnets in it are not supported. You can use DescribeVpcs to query the status of the VPC.

  • Only operations on VPCs in the status of AVAILABLE or CREATE_FAILED are supported.

2. Input Parameters

The following request parameter list only provides API request parameters.

Parameter Name
Required
Type
Description

vpcId

Yes

String

VPC ID.

3. Output Parameters

Parameter Name
Type
Description

requestId

String

The unique request ID, which is returned for each request.

RequestId is required for locating a problem.

4. Code Example

Delete a VPC.

POST /api/v2/bmc HTTP/1.1
Host: console.zenlayer.com
Content-Type: application/json
X-ZC-Action: DeleteVpc
<Common Request Params>

Request:
{
  "vpcId": "835957634816289496"
}

Response:
{
  "requestId": "TBDB421E3-47F4-46FD-AE4E-C912CB89744E",
  "response": {
    "requestId": "TBDB421E3-47F4-46FD-AE4E-C912CB89744E"
  }
}

5. Developer Resources

Zenlayer Cloud API 2.0 integrates SDKs,to make it easier for you to call APIs. More programming languages will be supported.

6. Error Codes

The following only lists the error codes related to the API business logic. For other error codes, see Common Error Codes.

HTTP Status Code

Error Code

Description

Last updated